<script setup lang="ts">
import TheWelcome from '../components/TheWelcome.vue'
import { ref,computed } from "vue";
import CookView from './cooks/CookView.vue';
import CleanView from './tabels/CleanView.vue';
import TableView from './tabels/TableView.vue';
import ServeView from './serves/ServeView.vue';
import StockView from './stocks/StockView.vue';
import PayView from './tabels/PayView.vue';
import TableCard from './tabels/TableCard.vue';
import CheckView from './CheckView.vue';
import ReportView from './reports/ReportView.vue';
const userString = localStorage.getItem("user");
const user = userString ? JSON.parse(userString) : null;
const type = ref(1);
if(user.type == "Owner"){
  type.value = 3;
}
// if(user.type == "Chef"){
//   type.value = 1;
// }
// if(user.type == "Cleaning"){
//   type.value = 2;
// }
// if(user.type == "Receptionist"){
//   type.value = 3;
// }
// if(user.type == "Waitress"){
//   type.value = 4;
// }
// if(user.type == "Manager"){
//   type.value = 3;
// }
// if(user.type == "Backend"){
//   type.value = 5;
// }
// if(user.type == "Cashier"){
//   type.value = 6;
// }
</script>

<template>
  <main>
    <!-- <v-container v-if="type === 0">
    <TheWelcome></TheWelcome>
  </v-container> -->
  <!-- <v-container v-if="type === 1">
    <CookView></CookView>
  </v-container>
  <v-container v-if="type === 2">
    <CleanView></CleanView>
  </v-container>
  <v-container v-if="type === 3">
    <TableCard></TableCard>
  </v-container>
  <v-container v-if="type === 4">
    <ServeView></ServeView>
  </v-container>
  <v-container v-if="type === 5">
    <StockView></StockView>
  </v-container>
  <v-container v-if="type === 6">
    <PayView></PayView>
  </v-container> -->
  <v-container v-if="type == 1">
    <CheckView></CheckView>
  </v-container>
  <v-container v-if="type == 3">
    <ReportView></ReportView>
  </v-container>
  </main>
</template>
